<?php

namespace App\Http\Controllers;
use App\Models\ContactFormSubmission;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;
use App\Mail\ContactFormMail;
use Illuminate\Support\Str;    //for UUID

class ContactController extends Controller
{
    public function showForm()
    {
        return view('frontend.pages.contact'); 
    }

    public function handleForm(Request $request)
    {
        $validatedData = $request->validate([
            'fullname' => 'required|string|max:255',
            'email' => 'required|email|max:255',
            'subject' => 'required|string|max:255',
            'phone' => 'required|numeric',
            'textarea' => 'required|string',
        ]);
    
        $uid = (string) Str::uuid();  // Generate a UUID
    
        $contactFormSubmission = new ContactFormSubmission();
        $contactFormSubmission->uid = $uid;
        $contactFormSubmission->fullname = $request->fullname;
        $contactFormSubmission->email = $request->email;
        $contactFormSubmission->subject = $request->subject;
        $contactFormSubmission->phone = $request->phone;
        $contactFormSubmission->message = $request->textarea;
        $contactFormSubmission->created_at = time();  
        $contactFormSubmission->updated_at = time();  
    
        $return = $contactFormSubmission->save();

        if($return){
            return response()->json(['status' => 'success', 'message' => 'Message sent successfully'], 201);
        }else{
            return response()->json(['status' => 'error', 'message' => 'Failed to send message.'], 500);
        }
    
        // try {
        //     Mail::to('support@exchangebuz.com')->send(new ContactFormMail($contactFormSubmission));
    
        //     return response()->json(['status' => 'success', 'message' => 'Message sent successfully'], 201);
        // } catch (\Exception $e) {
        //     return response()->json(['status' => 'error', 'message' => 'Failed to send message.'], 500);
        // }
    }


    
}
