<?php
namespace App\Http\Controllers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Password;

class CurrencyConversionController extends Controller
{
    public function fetchCurrencyRates()
    {
        $url = 'https://api.fxfeed.io/v1/latest?base=USD&api_key=' . env('FXFEED_API_KEY');
        
        $response = Http::withHeaders([
            'Authorization' => 'Bearer ' . env('FXFEED_API_KEY')  // Fetching API key from .env file
        ])->get($url);

        if ($response->successful()) {
            $data = $response->json();  // Decode JSON response into an array

            // return view('frontend.pages.home', ['rates' => $data['rates']]);
            return $data['rates'];

        } else {
            return response()->json([
                'status' => 'error',
                'message' => 'Failed to fetch currency rates'
            ], $response->status());
        }
    }
}

