<?php

namespace App\Http\Controllers;
use App\Models\AddMerchantFormSubmission;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Str;    // for UUID
use Illuminate\Support\Facades\Password;

class MerchantController extends Controller
{
    public function handleForm(Request $request)
    {
        // $request->merge([
        //     'include_extra_fee' => $request->has('include_extra_fee'), // Convert to true/false
        //     'allow_customers_to_send_money' => $request->has('allow_customers_to_send_money'),
        //     'require_user_to_login' => $request->has('require_user_to_login'),
        //     'require_user_to_verify_email' => $request->has('require_user_to_verify_email'),
        //     'require_user_to_verify_documents' => $request->has('require_user_to_verify_documents'),
        //     'require_user_to_verify_mobile_number' => $request->has('require_user_to_verify_mobile_number'),
        // ]);

        // $validatedData = $request->validate([
        //     'select_merchant' => 'required|string|max:255',
        //     'currency' => 'required|string|max:255',
        //     'minimum_amount' => 'required|numeric|min:0',
        //     'maximum_amount' => 'required|numeric|min:0',
        //     'reserve' => 'required|numeric|min:0',
        //     'fee' => 'required|numeric|min:0',
        //     'extra_fee' => $request->has('include_extra_fee') ? 'required|numeric|min:0' : 'nullable',
        //     'include_extra_fee' => 'nullable|boolean',
        //     'allow_customers_to_send_money' => 'nullable|boolean',
        //     'require_user_to_login' => 'nullable|boolean',
        //     'require_user_to_verify_email' => 'nullable|boolean',
        //     'require_user_to_verify_documents' => 'nullable|boolean',
        //     'require_user_to_verify_mobile_number' => 'nullable|boolean',
        // ]);

        $uid = (string) Str::uuid();  // Generate a UUID

        $addMerchantFormSubmission = new AddMerchantFormSubmission();

        $addMerchantFormSubmission->uid = $uid;
        $addMerchantFormSubmission->select_merchant = $request->select_merchant;
        $addMerchantFormSubmission->currency = $request->currency;
        $addMerchantFormSubmission->minimum_amount = $request->minimum_amount;
        $addMerchantFormSubmission->maximum_amount = $request->maximum_amount;
        $addMerchantFormSubmission->reserve = $request->reserve;
        $addMerchantFormSubmission->fee = $request->fee;
        $addMerchantFormSubmission->include_extra_fee = $request->include_extra_fee;  // Use merged data
        $addMerchantFormSubmission->extra_fee = $request->extra_fee;
        $addMerchantFormSubmission->allow_customers_to_send_money = $request->allow_customers_to_send_money;  // Use merged data
        $addMerchantFormSubmission->require_user_to_login = $request->require_user_to_login;  // Use merged data
        $addMerchantFormSubmission->require_user_to_verify_email = $request->require_user_to_verify_email;  // Use merged data
        $addMerchantFormSubmission->require_user_to_verify_documents = $request->require_user_to_verify_documents;  // Use merged data
        $addMerchantFormSubmission->require_user_to_verify_mobile_number = $request->require_user_to_verify_mobile_number;  // Use merged data
        $addMerchantFormSubmission->created_at = time();  
        $addMerchantFormSubmission->updated_at = time();  

        $return = $addMerchantFormSubmission->save();

        if ($return) {
            return response()->json(['status' => 'success', 'message' => 'Merchant added successfully'], 201);
        } else {
            return response()->json(['status' => 'error', 'message' => 'Failed to add merchant.'], 500);
        }
    }

    public function showGateways()
    {
        $merchants = AddMerchantFormSubmission::all();
        return view('admin/pages/gateways', compact('merchants'));
    }

    public function updateStatus(Request $request)
    {
        $merchant = AddMerchantFormSubmission::find($request->id);
        if ($merchant) {
            $merchant->status = $request->status; // Update the status field
            $merchant->save(); // Save the changes to the database
    
            return response()->json(['success' => true]); // Return success response
        }
    
        return response()->json(['success' => false, 'message' => 'Merchant not found']);
    }
}
