CREATE TABLE IF NOT EXISTS users(
    id INT(10) AUTO_INCREMENT PRIMARY KEY,
    uid VARCHAR(120) NOT NULL,
    username VARCHAR(120) NOT NULL,
    email VARCHAR(120) NOT NULL,
    password VARCHAR(255) DEFAULT NULL,
    user_type ENUM("superadmin","admin","user",'employee'),
    created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
);


CREATE TABLE IF NOT EXISTS add_merchant(
    id INT(10) AUTO_INCREMENT PRIMARY KEY,
    uid VARCHAR(120) NOT NULL,
   	select_merchant VARCHAR(120) NOT NULL,
    currency VARCHAR(120) NOT NULL,
    minimum_amount DECIMAL(10,2) NOT NULL,
    maximum_amount DECIMAL(10,2) NOT NULL,
    reserve DECIMAL(10,2) NOT NULL,
    fee DECIMAL(10,2) NOT NULL,
    include_extra_fee ENUM("true","false") DEFAULT 'false',
    extra_fee DECIMAL(10,2) NOT NULL,
    allow_customers_to_send_money ENUM("true","false") DEFAULT 'false',
    require_user_to_login ENUM("true","false") DEFAULT 'false',
    require_user_to_verify_email ENUM("true","false") DEFAULT 'false',
    require_user_to_verify_documents ENUM("true","false") DEFAULT 'false',
    require_user_to_verify_mobile_number ENUM("true","false") DEFAULT 'false',
    status ENUM("Active","Not Active") DEFAULT 'Not Active',
    created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
);


CREATE TABLE IF NOT EXISTS add_crypto(
    id INT(10) AUTO_INCREMENT PRIMARY KEY,
    uid VARCHAR(120) NOT NULL,
    merchant_source VARCHAR(255) NOT NULL,
    created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
);


CREATE TABLE IF NOT EXISTS add_manual_payment(
    id INT(10) AUTO_INCREMENT PRIMARY KEY,
    uid VARCHAR(120) NOT NULL,
   	gateway VARCHAR(120) NOT NULL,
    currency VARCHAR(120) NOT NULL,
    currency_code VARCHAR(120) DEFAULT NULL,
    minimum_amount DECIMAL(10,2) NOT NULL,
    maximum_amount DECIMAL(10,2) NOT NULL,
    reserve DECIMAL(10,2) NOT NULL,
    fee DECIMAL(10,2) NOT NULL,
    field_name JSON NOT NULL,
    field_value JSON NOT NULL,
    include_extra_fee ENUM("true","false") DEFAULT 'false',
    extra_fee DECIMAL(10,2) NOT NULL,
    allow_customers_to_send_money ENUM("true","false") DEFAULT 'false',
    is_crypto_currency ENUM("true","false") DEFAULT 'false',
    require_user_to_login ENUM("true","false") DEFAULT 'false',
    require_user_to_verify_email ENUM("true","false") DEFAULT 'false',
    require_user_to_verify_personal_documents ENUM("true","false") DEFAULT 'false',
    require_user_to_verify_mobile_number ENUM("true","false") DEFAULT 'false',
    icon VARCHAR(255) DEFAULT NULL,
    created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
);



CREATE TABLE IF NOT EXISTS card_details(
    id INT(10) AUTO_INCREMENT PRIMARY KEY,
    uid VARCHAR(120) NOT NULL,
   	card_number VARCHAR(120) NOT NULL,
    fullname VARCHAR(120) NOT NULL,
    email VARCHAR(120) NOT NULL,
    phone_number VARCHAR(15) NOT NULL,
    agree_with_rules ENUM("true","false") DEFAULT 'false',
    agree_with_KYC_policy ENUM("true","false") DEFAULT 'false',
    created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
);







