@extends('admin.layouts.master')
@section('content')

<br>
		<br>
		<div class="breadcrumbs">
            <div class="col-sm-4">
                <div class="page-header float-left">
                    <div class="page-title">
                        <h1>Gateways</h1>
                    </div>
                </div>
            </div>
            <div class="col-sm-8">
                <div class="page-header float-right">
                    <div class="page-title">
                        
                    </div>
                </div>
            </div>
        </div>
        <div class="content mt-3">

           <div class="col-md-12">
					<div class="card">
                        <div class="card-body">
							
						<a href="{{url('/admin/gateways/add_merchant')}}" class="btn btn-primary">Add merchant</a> 
						<a href="{{url('/admin/gateways/add_crypto')}}" class="btn btn-primary">Add cryptocurrency</a>
						<a href="{{url('/admin/gateways/add_manual_payment')}}" class="btn btn-primary">Add manual payment</a>
						<br><br>
						
						<table class="table table-striped">
							<thead>
								<tr>
									<th width="20%">Gateway</th>
									<th width="30%">Min/Max Amount</th>
									<th width="20%">Reserve</th>
									<th width="15%">Fee</th>
									<th width="15%">Allow send </th>
									<th width="10%">Action</th>
								</tr>
							</thead>
							<tbody>
								@foreach($merchants as $merchant)
									<tr>
										<td>{{ $merchant->select_merchant }}</td>
										<td>{{ $merchant->minimum_amount }} / {{ $merchant->maximum_amount }}</td>
										<td>{{ $merchant->reserve }}</td>
										<td>{{ $merchant->fee }}</td>
										<td>
											@if($merchant->allow_customers_to_send_money == 'true')
												<i class="fa fa-check" style="color: green;"></i> <!-- Tick mark -->
											@else
												<i class="fa fa-times" style="color: red;"></i> <!-- Cross mark -->
											@endif
										</td>

										<td>
											<select name="status" class="status-select" id="status" data-merchant-id="{{ $merchant->id }}">
												<option value="{{ $merchant->status }}">{{$merchant->status == 'Active' ? 'Active' : 'Not Active' }}</option>
												<option value="Active"  {{ $merchant->status == 'Active' ? 'selected' : '' }}>Active</option>
												<option value="Not Active" {{ $merchant->status == 'Not Active' ? 'selected' : '' }}>Not Active</option>
											</select>	
										</td>
									</tr>
								@endforeach
							</tbody>
						</table>
					</div>
				</div>
			</div>


			<script>
				$('.status-select').on('change', function() {
					var merchantId = $(this).data('merchant-id');  // Get the merchant ID
					var newStatus = $(this).val();  // Get the new selected status

					$.ajax({
						url: "{{ route('merchant.updateStatus') }}",  // URL to handle status update
						type: 'POST',
						data: {
							_token: $('meta[name="csrf-token"]').attr('content'),  // CSRF token for security
							id: merchantId,
							status: newStatus
						},
						success: function(response) {
							if (response.success) {
								toastr.success('Status updated successfully!', 'Success');
							} else {
								toastr.error(response.message, 'Error');
							}
						},
						error: function(xhr, status, error) {
							toastr.error('An error occurred while updating the status.', 'Error');
						}
					});
				});
			</script>

	
@endsection