@extends('frontend.layouts.master')
@section('content')

<section class="contact-section">
    <div class="contact-container">
        <!-- Title with Icon -->
        <div class="contact-title d-flex align-items-center justify-content-center">
            <h2 class="contact-heading">Comprehensive Privacy Policy</h2>
        </div>
        <!-- Row for Card -->
        <div class="row contact-row">
            <div class="col-12">
                <div class="contact-card">
                    <div class="contact-card-body">
                        <div class="row contact-info-row">
                            <div class="col-12 col-md-12 contact-info">
                                <p class="text-center"><b>**INTRODUCTION**</b></p>
                                <br>
                                <p class="text-center"> This privacy notice applies to&nbsp;<b>ExchangeBuz Holdings
                                        Inc.</b>&nbsp;and its subsidiaries, collectively referred to as "<b>us</b>,"
                                    "<b>we</b>," or "<b>our</b>."&nbsp;</span><b>ExchangeBuz&nbsp;</b><span
                                        style="font-family: Arial, Verdana;"><b>Holdings Inc.&nbsp;</b>is committed to
                                        safeguarding your privacy and ensuring that your personal information is
                                        securely handled following this notice</p>
                                <br>
                                <p class="text-center">References to "<b>you</b>" in this notice pertain to individuals
                                    accessing or using&nbsp;</span><b>ExchangeBuz&nbsp;</b><span
                                        style="font-family: Arial, Verdana;"><b>Holdings Inc.&nbsp;</b>services on
                                        behalf of themselves or their organization. This includes sole traders,
                                        principals, management and directors, financial officers, partners,
                                        shareholders, beneficial owners of clients, and staff members
                                        using&nbsp;</span><b>ExchangeBuz&nbsp;</b><span
                                        style="font-family: Arial, Verdana;"><b>Holdings Inc.</b>&nbsp;services on
                                        behalf of a customer.</p>

                                <br>
                                <br>
                                <b>This notice, along with our terms of service, covers the following:</b>

                                <br>
                                <br>

                                <p>• Features and services are provided through our portal, payment panels, or websites.
                                </p>


                                <p>• Applications for and use of&nbsp;</span><b>ExchangeBuz&nbsp;</b><span
                                        style="font-family: Arial, Verdana;"><b>Holdings Inc.</b>&nbsp;services and
                                        products, including loyalty programs..</p>

                                <p>• Use of software, including terminals and mobile applications provided
                                    by&nbsp;</span><b>ExchangeBuz&nbsp;</b><span
                                        style="font-family: Arial, Verdana;"><b>Holdings Inc.</b>.</p>
                                <p>• Communication via email, phone, SMS, website/portal, LiveChat, and other electronic
                                    means between you and&nbsp;</span><b>ExchangeBuz&nbsp;</b><span
                                        style="font-family: Arial, Verdana;"><b>Holdings Inc.</b>.</p>
                                <br>
                                <br>

                                <b>Collectively, these are referred to as "ExchangeBuz Services."</b>
                                <br>
                                <br>
                                <p>Please read this notice carefully to understand our policies and practices regarding
                                    your personal information. We adopt a "layered approach" to explain our privacy
                                    practices, presenting the most critical information in a short form privacy notice,
                                    with links to this comprehensive notice. For feedback or inquiries, contact details
                                    are provided at the end of this notice.</p>

                                <br>
                                <br>
                                <b>• INFORMATION WE MAY COLLECT FROM YOU</b>
                                <br>
                                <br>
                                <b>We may collect and process both personal and non-personal information.</b>
                                <br> <br>
                                <p>• <b>Personal Information:</b>&nbsp;Information that can uniquely identify an
                                    individual, either directly or indirectly.</p>

                                <p>•<b>Non-Personal Information (NPI):</b>&nbsp;Information that cannot identify a
                                    specific individual.&nbsp;</span>ExchangeBuz&nbsp;<span
                                        style="font-family: Arial, Verdana;">Holdings Inc. may collect, create, store,
                                        use, and disclose NPI for business purposes, such as trend research and data
                                        analytics.</p>


                                <br>
                                <b>• Collection of Your Information</b>
                                <br>
                                <br>
                                <b>We may collect the following types of information through various means:</b>
                                <br>
                                <br>
                                <p>• Personal and financial information provided by you, such as name, date of birth,
                                    email, billing address, username, password, nationality, and country of residence.
                                </p>

                                <p>• Card information, such as account number, expiration date, CVC, and bank details.
                                </p>

                                <p>• Transaction details related to purchases, including location, value, time, and
                                    travel-related information.</p>
                                <p>• Loyalty program points or prizes earned or redeemed.</p>
                                <p>• Any other information you or your customers provide.</p>
                                <p>• Photos and videos from&nbsp;<b>ExchangeBuz</b>&nbsp;events</p>
                                <br>
                                <br>
                                <b>• Information Collected Automatically</b>
                                <br>
                                <br>
                                <b>We collect information automatically when you interact with ExchangeBuz Holdings
                                    Inc., such as:</b>
                                <br> <br>
                                <p>• Technical information: IP address, browser type and version, time zone setting, and
                                    operating system.</p>

                                <p>• Visit details: URLs, products viewed or searched for, page response times, download
                                    errors, and visit duration.</p>

                                <p>• Information from cookies and similar technologies.</p>

                                <br><br>
                                <p>Please refer to our&nbsp;<a
                                        href="https://www.exchangebuz.com/page/cookies-notice">Cookie
                                        Policy</a>&nbsp;for more details.</p>


                                <br>
                                <b>• Information from Our Apps</b>
                                <br>
                                <br>

                                <p>When you use our mobile or desktop applications, we may collect information about
                                    your location, device, and service usage, including real-time location data with
                                    your consent. </p>
                                <br>
                                <br>
                                <b>• Email and Other Communications</b>

                                <br> <br>
                                <p>We may receive information about you when you communicate with us, including the use
                                    of electronic identifiers like IP addresses or phone numbers.</p>


                                <br> <br>
                                <b>• Information from Other Sources</b>
                                <br>

                                <p>We may obtain information about you from third parties, such as business partners,
                                    financial institutions, analytics providers, credit references, and fraud prevention
                                    agencies.
                                </p>
                                <br> <br>
                                <b>• Use of Your Information</b>
                                <br>


                                <br>

                                <br>
                                <b>We may use and disclose personal information for the following purposes:
                                </b> <br>
                                <br>

                                <p>• To provide&nbsp;</span><strong>ExchangeBuz</strong>&nbsp;<span
                                        style="font-family: Arial, Verdana;">Services, fulfill obligations, and track
                                        transactions.</p>

                                <p>• To enhance our business and develop new products and services.
                                </p>

                                <p>• To monitor and enforce rights, terms of service, or contracts.</p>
                                <p>• To perform credit assessments and manage credit risk.</p>
                                <p>• To prevent, detect, and prosecute fraud or crime.</p>
                                <p>• For marketing, market research, and customer feedback.</p>
                                <p>• To comply with legal and regulatory requirements.</p>
                                <br>

                                <br>
                                <b>• Disclosure of Your Information</b><br>
                                <br>
                                <b>We disclose personal information only as described in this notice:
                                </b> <br>

                                <br>
                                <p>• Within&nbsp;</span><b>ExchangeBuz&nbsp;</b><span
                                        style="font-family: Arial, Verdana;"><b>Holdings Inc.</b>&nbsp;for service
                                        provision and internal purposes</p>

                                <p>• To credit reference agencies, fraud prevention organizations, financial
                                    institutions, and third-party service providers.
                                </p>

                                <p>• To comply with legal requirements and requests from law enforcement.</p>
                                <p>• During business transfers or mergers.
                                </p>
                                <p>• With your consent, for other purposes.</p>

                                <br>

                                <br>

                                <b>ExchangeBuz Holdings Inc. does not sell or rent personal information to third parties
                                    for commercial purposes.
                                </b> <br>

                                <br>
                                <b>• Monitoring</b><br>
                                <p>We may monitor or record communications for regulatory, quality assurance, security,
                                    or training purposes. Our offices may use CCTV and other monitoring systems for
                                    security and health and safety management.
                                </p>
                                <br>

                                <br>
                                <b>• Storage and Transfer of Personal Information</b><br>
                                <p>Your personal information may be processed outside the&nbsp;<b>European Economic Area
                                        (EEA)</b>&nbsp;or your country of residence. We will take steps to ensure your
                                    information is protected following this notice and applicable laws.
                                </p>
                                <br>

                                <br>
                                <b>• Security of Personal Information</b><br>
                                <p>We implement safeguards to protect your personal information against loss and
                                    unauthorized access. You are responsible for maintaining the confidentiality of your
                                    passwords and access codes.
                                </p>
                                <br>

                                <br>
                                <b>• Retention of Personal Information</b><br>
                                <p>We retain your personal information for as long as necessary to
                                    provide&nbsp;<b>ExchangeBuz</b> Services&nbsp;and comply with legal and regulatory
                                    requirements.
                                </p>
                                <br>

                                <br>
                                <b>• Your Data Protection Rights</b><br>
                                <p>You have rights regarding your personal information, including access, correction,
                                    deletion, objection to processing, and data portability. You can withdraw consent at
                                    any time, and you have the right to complain to data protection authorities.
                                </p>
                                <br>

                                <br>
                                <b>• Automated Decision-Making</b><br>
                                <p>We use automated decision-making in some cases, such as credit assessments and
                                    anti-fraud checks. You have the right to challenge decisions made automatically and
                                    request human review.
                                </p>
                                <br>

                                <br>
                                <b>• Legal Basis for Processing</b><br>
                                <p>We process your personal information based on your consent, contractual necessity,
                                    legitimate interests, legal requirements, or to protect vital interests.
                                </p>
                                <br>

                                <br>
                                <b>• Changes to Our Privacy Notice</b><br>
                                <p>We may update this notice periodically. Significant changes will be communicated via
                                    this website/portal.
                                </p>

                                <br>

                                <br>
                                <b>• Links to Third-Party Sites</b><br>
                                <p>Our site may contain links to third-party websites with their privacy policies.&nbsp;</span><strong>ExchangeBuz&nbsp;</strong><span style="font-family: Arial, Verdana;"><strong>Holdings Inc.</strong>&nbsp;is not responsible for these third-party sites
                                </p>


                            </div>

                        </div>
                    </div>
                </div>
            </div>


        </div>
</section>

@endsection