@extends('frontend.layouts.master')
@section('content')


<section class="contact-section">
    <div class="contact-container">
        <!-- Title with Icon -->
        <div class="contact-title text-center">
            <h1 class="contact-heading pb-3">Register Now, It's Free.</h1>
            <p><i class="fa fa-user me-2" aria-hidden="true"></i><span> Already a Member?<a href="{{url('/login')}}"
                        class="text-decoration-none"> Login</a></span> </p>
        </div>

        <!-- Row for Card -->
        <div class="row contact-row justify-content-center">
            <div class="col-6">
                <div class="contact-card">
                    <div class="contact-card-body">
                        <div class="row contact-info-row">
                            <div class="col-12 contact-form-col">
                                <form class="contact-form pt-3">
                                    <div class="form-group col-lg-12">
                                        <input type="name" id="name" name="name" placeholder="Username"
                                            autocomplete="off" class="float-input mb-2" required>
                                        <label for="name" class="float-label">Username</label>
                                    </div>

                                    <div class="form-group col-lg-12">
                                        <input type="email" id="email" name="email" placeholder="Email address"
                                            autocomplete="off" class="float-input mb-2" required>
                                        <label for="email" class="float-label">Email address</label>
                                    </div>

                                    <div class="form-group col-lg-12">
                                        <input type="password" id="password" name="password" placeholder="Password"
                                            autocomplete="off" class="float-input mb-2" required>
                                        <label for="password" class="float-label">Password</label>
                                    </div>

                                    <div class="form-group col-lg-12">
                                        <input type="password" id="password_1" name="password_confirmation"
                                            placeholder="Re-type Password" autocomplete="off" class="float-input mb-2"
                                            required>
                                        <label for="password-1" class="float-label">Re-type Password</label>
                                    </div>

                                    <div class="d-flex justify-content-end">
                                        <div class="form-group mr-3">
                                            <span>
                                                <a href="{{url('/reset')}}" class="text-decoration-none">Forgot
                                                    password?</a>
                                            </span>
                                        </div>
                                    </div>

                                    <div class="form-group mb-4 ml-3">
                                        <div class="g-recaptcha"
                                            data-sitekey="6Lel4Z4UAAAAAOa8LO1Q9mqKRUiMYl_00o5mXJrR"></div>
                                    </div>

                                    <div class="form-group text-center col-lg-12 mb-4">
                                        <button type="button" id="submitbtn" class="btn submit-button  w-100"
                                            name="bit_send">
                                            Register</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
</section>

    <script>
        $(document).ready(function () {
            const getURL = "{{url('register')}}";
            
            $('#submitbtn').click(function () {
                let username = $('#name').val();
                let email = $('#email').val();
                let password = $('#password').val();
                let cpassword = $('#password_1').val();

                var emailPattern = /^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$/;

                if (!emailPattern.test(email)) {
                    alert('please enter valid email');
                    return;
                }

                if (password !== cpassword) {
                    return alert('password doesnt matched');
                }
                $.ajax({
                    type: "POST",
                    url: getURL,
                    data: {
                        username: username,
                        email: email,
                        password: password,
                        cpassword: cpassword,
                        _token: "{{ csrf_token() }}" 
                    },
                    success: function (response) {
                        if (response.status === 'success') {
                            toastr.success(response.message);
                            setTimeout(() => {
                                location.href = "login";
                            }, 1500);
                        } else {
                            toastr.error(response.message);
                        }
                    },

                    error: function (xhr, status, error) {
                        console.error('AJAX error:', error);
                        // Display validation errors (if any)
                        if (xhr.status === 422) {
                            let errors = xhr.responseJSON.errors;
                            if (errors.email) {
                               toastr.error(errors.email[0]);   // Display the email error message
                            }
                            else{
                                toastr.error('There was an error. Please check the form fields and try again.');
                            }
                        } 
                        else {
                            alert('An error occurred. Please try again.');
                        }
                    },
                });
            });
        });
    </script>




@endsection