@extends('frontend.layouts.master')
@section('content')

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ExchangeBuz Login | Neteller to PayPal instant exchange</title>
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet">

    <link rel="stylesheet" href="{{url('/css/contact.css')}}">

</head>

<section class="contact-section">
    <div class="contact-container">
        <!-- Title with Icon -->
        <div class="contact-title text-center">

            <h1 class="contact-heading">Forgot password?</h1>
            

        </div>

        <!-- Row for Card -->
        <div class="row contact-row justify-content-center">
            <div class="col-6">
                <div class="contact-card">
                    <div class="contact-card-body">
                        <div class="row contact-info-row">

                            <div class="col-12 contact-form-col">
                                <form id="resetPasswordForm" method="POST" class="contact-form pt-3">
                                    @csrf
                                    <div class="form-group col-lg-12">
                                    <div class="alert alert-info" style="color:#010101;text-align:left;"><i class="fa fa-info-circle" aria-hidden="true"></i> <span>Please enter your email address in form below to send you link for password reset.</span></div>
                                    </div>

                                    <div class="form-group col-lg-12">
                                        <input type="email" id="email" name="email" placeholder="Your email address"
                                            autocomplete="off" class="float-input mb-2" required>
                                        <label for="email" class="float-label">Email address</label>

                                        @error('email')
                                            <div class="alert alert-danger mt-2">{{ $message }}</div>
                                        @enderror
                                    </div>


                                

                                    <div class="form-group text-center col-lg-12 mb-4">
                                        <!-- <button type="submit" class="btn submit-button  w-100" name="bit_send">
                                            Reset Password</button> -->
                                        <button type="submit" class="btn submit-button  w-100" name="bit_send">
                                            Send password reset link</button>
                                    </div>
                                </form>

                                <script>
                                    $(document).ready(function () {
                                        $('#resetPasswordForm').submit(function (e) {
                                            e.preventDefault(); // Prevent the form from submitting normally

                                            let formData = $(this).serialize();  // Get the form data

                                            $.ajax({
                                                url: "{{ route('password.email') }}", // The route to handle password reset
                                                type: "POST",
                                                data: formData, 
                                                headers: {
                                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') 
                                                },
                                                success: function(response) {
                                                    if (response.status === 'success') {
                                                        // Success message
                                                        alert('Password reset link sent to your email address.');
                                                    } else {
                                                        // Handle errors if needed
                                                        alert('There was an error sending the reset link.');
                                                    }
                                                },
                                                error: function(xhr, status, error) {
                                                    // Handle error response
                                                    console.error('Error:', error);
                                                    alert('An error occurred. Please try again later.');
                                                }
                                            });
                                        });
                                    });
                                </script>

                            </div>
                        </div>
                    </div>
                </div>
            </div>


        </div>
</section>




@endsection