<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\UserController;
use App\Http\Controllers\MerchantController;
use App\Http\Controllers\ContactController;
use App\Http\Controllers\CryptoController;
use App\Http\Controllers\ManualPaymentController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\CurrencyConversionController;
use App\Http\Controllers\CardController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/


Route::get('/', function () {
    return view('frontend/pages/home');
}); 


Route::get('/contact-us', function () {
    return view('frontend/pages/contact_us');
});
Route::get('/affiliate', function () {
    return view('frontend/pages/affiliate');
});
Route::get('/testimonials', function () {
    return view('frontend/pages/testimonials');
});
Route::get('/refund-policy', function () {
    return view('frontend/pages/refund_policy');
});
Route::get('/terms', function () {
    return view('frontend/pages/term_condition');
});
Route::get('/fraud-awareness', function () {
    return view('frontend/pages/fraud_awareness');
});
Route::get('/user-agreement', function () {
    return view('frontend/pages/user_agreement');
});
Route::get('/guarantees', function () {
    return view('frontend/pages/guarantees');
});
Route::get('/privacy-notice', function () {
    return view('frontend/pages/privacy_notice');
});
Route::get('/comprehensive-privacy-policy', function () {
    return view('frontend/pages/comprehensive_privacy_policy');
});
Route::get('/login', function () {
    return view('frontend/pages/login');
});
Route::get('/register', function () {
    return view('frontend/pages/register');
});

Route::get('register', [UserController::class, 'showRegistrationForm'])->name('register');

Route::post('register', [UserController::class, 'registerUser']);

Route::get('/reset', function () {
    return view('frontend/pages/reset-password');
});

Route::get('/login', [UserController::class, 'showLoginForm'])->name('login');  // Show login form
Route::post('/login', [UserController::class, 'login'])->name('login.submit');    // Handle login form submission

Route::get('/', function () {
    return view('frontend/pages/home');
});

Route::post('/logout', [UserController::class, 'logout'])->name('logout');

Route::post('forgot-password', [UserController::class, 'sendResetLinkEmail'])->name('password.email');

Route::get('password/reset/{token}', [UserController::class, 'showResetForm'])->name('password.reset');
Route::post('password/reset', [UserController::class, 'reset'])->name('password.update');


Route::get('/contact', [ContactController::class, 'showForm'])->name('contact.form');
Route::post('/contact', [ContactController::class, 'handleForm'])->name('contact.handleForm');



Route::get('/admin/dashboard', function () {
    return view('admin/pages/dashboard');
});
Route::get('/admin', function () {
    return view('admin/pages/dashboard');
});
Route::get('/admin/gateways', function () {
    return view('admin/pages/gateways');
});
Route::get('/admin/exchanges', function () {
    return view('admin/pages/exchanges');
});

Route::get('/admin/deposits', function () {
    return view('admin/pages/deposits');
});
Route::get('/admin/directions', function () {
    return view('admin/pages/directions');
});
Route::get('/admin/faq', function () {
    return view('admin/pages/faq');
});

Route::get('/admin/gateways/add_merchant', function () {
    return view('admin/pages/gateways/add_merchant');
});

Route::get('/admin/gateways/add_crypto', function () {
    return view('admin/pages/gateways/add_crypto');
});
Route::get('/admin/gateways/add_manual_payment', function () {
    return view('admin/pages/gateways/add_manual_payment');
});

Route::get('/admin/xml_rates', function () {
    return view('admin/pages/xml_rates');
});
Route::get('/admin/users', function () {
    return view('admin/pages/users');
});
Route::get('/admin/testimonials', function () {
    return view('admin/pages/testimonials');
});
Route::get('/admin/withdrawals', function () {
    return view('admin/pages/withdrawals');
});
Route::get('/admin/pages', function () {
    return view('admin/pages/pages');
});
Route::get('/admin/languages', function () {
    return view('admin/pages/languages');
});
Route::get('/admin/settings', function () {
    return view('admin/pages/settings');
});
Route::get('/admin/support', function () {
    return view('admin/pages/support');
});


Route::post('/add_merchant', [MerchantController::class, 'handleForm'])->name('merchant.handleForm');

Route::get('/add_crypto', [CryptoController::class, 'showForm'])->name('crypto.showForm');

Route::post('/add_crypto', [CryptoController::class, 'handleForm'])->name('crypto.handleForm');

Route::get('/admin/gateways', [MerchantController::class, 'showGateways'])->name('gateways.show');
Route::post('/update-merchant-status', [MerchantController::class, 'updateStatus'])->name('merchant.updateStatus');

Route::post('/admin/add_manual_payment', [ManualPaymentController::class, 'handleForm'])->name('payment.handleForm');

Route::get('/admin/gateways/add_merchant', [ManualPaymentController::class, 'showOptions'])->name('options.show');

Route::get('/', [HomeController::class, 'showPage']);
// Route::get('/', [HomeController::class, 'showMinMaxAmount']);

//for api 
// Route::get('/', [CurrencyConversionController::class, 'fetchCurrencyRates']);

Route::post('/submit-card-form', [CardController::class, 'handleForm'])->name('submit.card.form'); //for card_details form on home page




